# -*- rpm-spec -*-
# $Id: smalltalk,v 1.13 2002/10/05 12:54:06 lioka Exp $

Name: smalltalk
Version: 2.1.5
Release: alt1

Summary: Smalltalk free language implementation
License: GPL
Group: Development/Other
Url: http://www.smalltalk.org
Packager: Stanislav Ievlev <inger@altlinux.ru>

Source: ftp://ftp.gnu.org/gnu/smalltalk/%name-%version.tar.bz2
Patch: smalltalk-1.95.12-alt-configure.patch

BuildPreReq: autoconf >= 2.53, automake >= 1.6.1 tk-devel >= 8.4.0-alt1

PreReq: %__install_info

%add_findprov_lib_path %_libdir/Omni

# Automatically added by buildreq on Tue Oct 28 2003 (-bi)
BuildRequires: XFree86-devel XFree86-libs XFree86-locales emacs-common fontconfig freetype2 glib2-devel glibc-devel-static libatk-devel libexpat libgtk+2-devel libpango-devel libreadline-devel libtcl libtinfo-devel libtk pkgconfig tcl-devel termutils tk-devel

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book Smalltalk-80:
the Language and its Implementation by Adele Goldberg and David
Robson. GNUSmalltalk runs on most versions of Unix or Unix like
systems (GNU/Linux, FreeBSD, etc...).
There is even a version for commercial operating systems like MS-NT.

%package static
Summary: static libraries for %name
Group: Development/Other
Requires: %name = %version-%release

%description static
static libraries for %name

%package -n emacs-mode-%name
Summary: SmallTalk mode for GNU Emacs
Group: Editors
Requires: %name = %version-%release

%description -n emacs-mode-%name
SmallTalk mode for GNU Emacs

%package -n emacs-mode-%name-el
Summary: The Emacs Lisp sources for bytecode included in emacs-mode-%name
Group: Editors
Requires: emacs-mode-%name = %version-%release

%description -n emacs-mode-%name-el
The Emacs Lisp sources for bytecode included in emacs-mode-%name

%prep
%setup -q
%patch -p1

%build
%{?__buildreqs:export am_cv_lispdir='${datadir}/emacs/site-lisp'}
#_%undefine __libtoolize

aclocal -I config -I snprintfv
autoconf
%configure --with-tcl=%_libdir --with-tk=%_libdir
#NO SMP
%make

%install
%make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

%post
%install_info gst.info

%preun
%uninstall_info gst.info

%files -f %name.lang
%_bindir/*
%_libdir/%name/*.so
%_datadir/%name
%_datadir/aclocal
%_includedir/*.h
%_infodir/*.info*
%_man1dir/*
%doc AUTHORS README

%files -n emacs-mode-%name
%_emacslispdir/*.elc

%files -n emacs-mode-%name-el
%_emacslispdir/*.el

%files static
%_libdir/%name/*.a
%_libdir/*.a

%changelog
* Tue Oct 28 2003 Stanislav Ievlev <inger@altlinux.org> 2.1.5-alt1
- 2.1.5
- added subpackages: emacs-mode,static libraries

* Wed Mar 26 2003 Stanislav Ievlev <inger@altlinux.ru> 2.0.11-alt1
- 2.0.11

* Sat Oct  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.95.12-alt3
- rebuilt with tcl 8.4

* Tue Jul 16 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.95.12-alt2
- rebuilt with new tcl layout

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.95.12-alt1
- 1.95.12
- Patched to link with libtinfo.

* Thu Mar 21 2002 Stanislav Ievlev <inger@altlinux.ru> 1.95.9-alt1
- 1.95.9
- Added more directories to packages ;)

* Mon Apr 02 2001 Stanislav Ievlev <inger@altlinux.ru> 1.95.4-alt1
- Cleanup spec. Upgrade to 1.95.4

* Wed Feb 14 2001 AEN <aen@logic.ru>
- %post removed

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Sun Nov 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.8.3-1mdk
- first mandrake rpm.
